Package ru.bitel.bgbilling.kernel.tariff.option.common.bean

# Class TariffOption

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.tariff.option.common.bean.TariffOption

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`, `Tied`

public class TariffOption extends IdTitle implements Tied

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface ru.bitel.common.model.Tied

  `Tied.TieResolver<T,TT>, Tied.TieUnresolvedException, Tied.Utils<T,TT extends Tied>`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TariffOption()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<TariffOptionActivateMode>`
  `getActivateModeList()`
  `String`
  `getComment()`
  `String`
  `getConfig()`
  `Set<Integer>`
  `getContractLabels()`
  `Date`
  `getDateFrom()`
  `Date`
  `getDateTo()`
  `Set<Integer>`
  `getDepends()`
  `String`
  `getDescription()`
  `int`
  `getGroupId()`
  `int`
  `getHideForContractGroupsMode()`
  `Set<Integer>`
  `getHideForContractLabels()`
  `Set<Integer>`
  `getIncompatible()`
  `Set<Integer>`
  `getTariffIdSet()`
  `boolean`
  `isEnable()`
  `boolean`
  `isHideForWeb()`
  `boolean`
  `isNoUsed()`
  `TariffOption`
  `setActivateModeList(List<TariffOptionActivateMode> activateModeList)`
  `TariffOption`
  `setComment(String comment)`
  `TariffOption`
  `setConfig(String config)`
  `TariffOption`
  `setContractLabels(Set<Integer> contractLabels)`
  `TariffOption`
  `setDateFrom(Date dateFrom)`
  `TariffOption`
  `setDateTo(Date dateTo)`
  `TariffOption`
  `setDepends(Set<Integer> depends)`
  `TariffOption`
  `setDescription(String description)`
  `TariffOption`
  `setEnable(boolean enable)`
  `TariffOption`
  `setGroupId(int groupId)`
  `TariffOption`
  `setHideForContractGroupsMode(int hideForContractGroupsMode)`
  `TariffOption`
  `setHideForContractLabels(Set<Integer> hideForContractLabels)`
  `TariffOption`
  `setHideForWeb(boolean hideForWeb)`
  `TariffOption`
  `setId(int id)`
  Устанавливает id объекта
  `TariffOption`
  `setIncompatible(Set<Integer> incompatible)`
  `TariffOption`
  `setNoUsed(boolean noUsed)`
  `TariffOption`
  `setTariffIdSet(Set<Integer> tariffIdSet)`
  `TariffOption`
  `setTitle(String title)`
  Устанавливает название (описание) объекта

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

  ### Methods inherited from interface ru.bitel.common.model.Tied

  `getId`

- ## Constructor Details

  - ### TariffOption

    public TariffOption()

- ## Method Details

  - ### getActivateModeList

    public List<TariffOptionActivateMode> getActivateModeList()

  - ### getComment

    public String getComment()

  - ### getConfig

    public String getConfig()

  - ### getContractLabels

    public Set<Integer> getContractLabels()

  - ### getDateFrom

    public Date getDateFrom()

  - ### getDateTo

    public Date getDateTo()

  - ### getDepends

    public Set<Integer> getDepends()
    Specified by:
      `getDepends` in interface `Tied`

  - ### getDescription

    public String getDescription()

  - ### getGroupId

    public int getGroupId()

  - ### getHideForContractGroupsMode

    public int getHideForContractGroupsMode()

  - ### getHideForContractLabels

    public Set<Integer> getHideForContractLabels()

  - ### getIncompatible

    public Set<Integer> getIncompatible()
    Specified by:
      `getIncompatible` in interface `Tied`

  - ### getTariffIdSet

    public Set<Integer> getTariffIdSet()

  - ### isEnable

    public boolean isEnable()

  - ### isHideForWeb

    public boolean isHideForWeb()

  - ### isNoUsed

    public boolean isNoUsed()

  - ### setActivateModeList

    public TariffOption setActivateModeList(List<TariffOptionActivateMode> activateModeList)

  - ### setComment

    public TariffOption setComment(String comment)

  - ### setConfig

    public TariffOption setConfig(String config)

  - ### setContractLabels

    public TariffOption setContractLabels(Set<Integer> contractLabels)

  - ### setDateFrom

    public TariffOption setDateFrom(Date dateFrom)

  - ### setDateTo

    public TariffOption setDateTo(Date dateTo)

  - ### setDepends

    public TariffOption setDepends(Set<Integer> depends)

  - ### setDescription

    public TariffOption setDescription(String description)

  - ### setEnable

    public TariffOption setEnable(boolean enable)

  - ### setGroupId

    public TariffOption setGroupId(int groupId)

  - ### setHideForContractGroupsMode

    public TariffOption setHideForContractGroupsMode(int hideForContractGroupsMode)

  - ### setHideForContractLabels

    public TariffOption setHideForContractLabels(Set<Integer> hideForContractLabels)

  - ### setHideForWeb

    public TariffOption setHideForWeb(boolean hideForWeb)

  - ### setId

    public TariffOption setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `IdTitle`

  - ### setIncompatible

    public TariffOption setIncompatible(Set<Integer> incompatible)

  - ### setTariffIdSet

    public TariffOption setTariffIdSet(Set<Integer> tariffIdSet)

  - ### setTitle

    public TariffOption setTitle(String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`

  - ### setNoUsed

    public TariffOption setNoUsed(boolean noUsed)